<template>
  <span class="table-cell table-cell--status" :class="statusClass">
    <sa-icon v-if="status" :icon="complete ? 'check-circle' : 'clock'" />
    {{ statusLabel }}
  </span>
</template>

<script>
export default {
  name: 'SaTableCellStatus',
  props: {
    status: {
      type: String,
      default: ''
    }
  },
  computed: {
    complete() {
      return this.status === 'complete'
    },
    statusClass() {
      return 'status status--' + (this.complete ? 'complete' : 'pending')
    },
    statusLabel() {
      if (this.status) {
        return this.complete ? 'Complete' : 'Pending'
      }
      return null
    }
  }
}
</script>
<style lang="scss" scoped>
.status--complete .icon {
  color: color(success-dark);
}
.status--pending .icon {
  color: color(danger-dark);
}
</style>
